/* Progress start */

.progress {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
}

.progress__step {
  text-align: center;
  width: 100%;
  font-size: 0.875rem;
}
.progress__step::before {
  border: 1px solid #c9c1c1;
  border-radius: 10px;
  content: "";
  display: block;
  height: 10px;
  margin-bottom: 10px;
  width: 100%;
}
.progress__step.is-active::before {
  background-color: var(--color-primary);
  border-color: var(--color-primary);
}
.progress__step:not(:last-child) {
  margin-right: 10px;
}

@media (min-width: 992px) {
  .progress__step:not(:last-child) {
    margin-right: 20px;
  }
}

/* Progress end */

/* Quiz start */

.quiz__block-tlt {
  font-size: 1rem;
  text-align: center;
}

.quiz__quest-items {
  margin-top: 20px;
}

.quiz__quest-block {
  display: none;
  opacity: 0;
  transition: opacity 0.6s ease;
}
.quiz__quest-block.is-active {
  display: block;
}
.quiz__quest-block.is-fadein {
  opacity: 1;
  transition: opacity 0.6s ease;
}

.quiz__btns > .row {
  display: none;
}

.quiz__btns .btn.btn-prev {
  display: none;
}
.quiz__btns .btn {
  font-size: 1.125rem;
  font-weight: 700;
  text-transform: uppercase;
}

.quiz__get-phone {
  position: relative;
  display: none;
}

.quiz__get-phone-tlt {
  text-align: center;
  font-size: 1.125rem;
}

.quiz__get-phone-radio-tlt {
  font-weight: 600;
  font-size: 1.0625rem;
  margin-bottom: 25px;
}

.quiz__get-phone-field {
  position: relative;
  z-index: 2;
}
.quiz__get-phone-field .form__group:not(:last-child) {
  margin-bottom: 27px;
}
.quiz__get-phone-field .form__control {
  text-align: center;
  width: 100%;
}
.quiz__get-phone-field .btn {
  border-radius: 40px;
  font-size: 1.25rem;
  font-weight: 700;
  color: #fff;
  text-transform: uppercase;
  width: 100%;
  height: 72px;
}

.quiz__get-phone-bottom p {
  color: #010101;
  font-weight: 300;
  line-height: 1.13;
}

.quiz__get-phone-hide {
  opacity: 0;
  transition: opacity 0.3s ease;
}

.quiz__present {
  max-width: 326px;
  position: relative;
}

/* Quiz responsive */

@media (max-width: 575.98px) {
  .quiz__btns {
    left: -15px;
    right: -15px;
  }
}
@media (min-width: 576px) {
  .quiz__get-phone-tlt {
    font-size: 1.25rem;
  }
}
@media (min-width: 768px) {
  .quiz__block-tlt {
    font-size: 1.125rem;
  }
  .quiz__quest-items {
    margin-top: 30px;
  }
  .quiz__get-phone-tlt {
    font-size: 1.375rem;
  }
}
@media (max-width: 991.98px) and (min-width: 576px) {
  .quiz__btns .btn {
    font-size: 1.1875rem;
    font-weight: 900;
  }
}
@media (max-width: 991.98px) {
  .quiz__btns {
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
    z-index: 5;
    min-width: 320px;
  }
  .quiz__btns .btn {
    border-radius: 0;
    width: 100%;
    height: 60px;
    font-size: 1rem;
    font-weight: 700;
  }
  .quiz__btns .btn.btn-outline-primary {
    background-color: #fff;
  }
  .quiz__btns .btn.btn-outline-primary:hover {
    color: var(--color-primary);
  }
}
@media (min-width: 992px) {
  .quiz__block-tlt {
    font-size: 1.25rem;
  }
  .quiz__btns {
    display: block;
  }
  .quiz__btns > .row {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
  }
  .quiz__get-phone-tlt {
    font-size: 1.5625rem;
  }
  .quiz__get-phone-radio-tlt {
    font-size: 1.25rem;
    margin-bottom: 20px;
  }
  .quiz__get-phone-left {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
  }
  .quiz__get-phone-field {
    width: 373px;
    padding-right: 20px;
  }
}
@media (min-width: 1200px) {
  .quiz__block-tlt {
    font-size: 1.375rem;
  }
  .quiz__get-phone-tlt {
    margin-bottom: 90px;
  }
}

/* Quiz end */

/* Inputs start */

.radio__input {
  display: none;
}
.radio__input:checked + .radio__label::after {
  content: "";
}

.radio__label {
  font-size: 1rem;
  line-height: 1.2;
  padding-left: 30px;
  position: relative;
  margin-bottom: 0;
}
.radio__label a {
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
}
.radio__label::after,
.radio__label::before {
  border-radius: 50%;
  display: block;
  position: absolute;
}
.radio__label::before {
  border: 1px solid #c9c1c1;
  background-color: #fff;
  content: "";
  top: 0;
  left: 0;
  width: 20px;
  height: 20px;
}
.radio__label::after {
  background-color: var(--color-primary-rgba06);
  top: 5px;
  left: 5px;
  width: 10px;
  height: 10px;
}

.radio--btn {
  height: 100%;
}
.radio--btn label {
  background-color: var(--color-primary-rgba006);
  cursor: pointer;
  display: block;
  padding: 23px 20px 23px 50px;
  height: 100%;
  border-radius: 10px;
}
.radio--btn label::before {
  top: 20px;
  left: 20px;
}
.radio--btn label::after {
  top: 25px;
  left: 25px;
}

.radio--lg .radio__label {
  font-size: 1.125rem;
  font-weight: 300;
  padding-left: 40px;
  line-height: 125%;
}
.radio--lg .radio__label::before {
  top: -3px;
  height: 28px;
  width: 28px;
}
.radio--lg .radio__label::after {
  top: 3px;
  left: 6px;
  height: 16px;
  width: 16px;
}

.radio--primary .radio__label::before {
  border-color: var(--color-primary);
}
.radio--primary .radio__label::after {
  background-color: var(--color-primary);
}

.checkbox {
  position: relative;
}
.checkbox:not(:last-child) {
  margin-bottom: 15px;
}

.checkbox__input {
  display: none;
}
.checkbox__input:checked + .checkbox__label::after {
  border-top: 3px solid var(--color-primary-rgba06);
  border-right: 3px solid var(--color-primary-rgba06);
  content: "";
  position: absolute;
  top: 3px;
  left: -26px;
  -webkit-transform: rotate(135deg);
  -ms-transform: rotate(135deg);
  transform: rotate(135deg);
  height: 8px;
  width: 14px;
}

.checkbox__label {
  font-size: 1rem;
  line-height: 1.2;
  margin-left: 30px;
  position: relative;
  margin-bottom: 0;
}
.checkbox__label::before {
  border: 1px solid #c9c1c1;
  background-color: #fff;
  content: "";
  display: block;
  position: absolute;
  top: 0;
  left: -29px;
  width: 20px;
  height: 20px;
}

.checkbox--btn {
  height: 100%;
}
.checkbox--btn label {
  background-color: var(--color-primary-rgba006);
  cursor: pointer;
  display: block;
  padding: 20px 20px 20px 50px;
  margin-left: 0;
  height: 100%;
}
.checkbox--btn label::before {
  top: 20px;
  left: 20px;
}
.checkbox--btn label::after {
  top: 25px;
  left: 25px;
}
.checkbox--btn .checkbox__input:checked + .checkbox__label::after {
  top: 23px;
  left: 23px;
}

/* Inputs end */